export function readonlyDumpProp(obj, key, value, descriptor) {
  return def(obj, key, {
    value,
    writable: false,
    configurable: false,
    ...descriptor
  });
}
export function dumpProp(obj, key, value, descriptor) {
  return def(obj, key, {
    value,
    writable: true,
    configurable: false,
    ...descriptor
  });
}
export function def(obj, key, descriptor) {
  return Object.defineProperty(obj, key, {
    configurable: true,
    enumerable: true,
    ...descriptor
  });
}
export function readonlyDef(obj, key, get, descriptor) {
  return def(obj, key, {
    get,
    ...descriptor
  });
}